<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "grpmast";
$formname = "Group Print";
$file = "group_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST['name'];

    $namecond = "";

    if (!empty($name)) {
        $namecond = " AND `grpcode`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`!='' $namecond") or die(mysqli_error($conn));

    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">
            <?php include('includes/head_rep.php') ?>
            <table class="table table-condensed table-hover table-bordered">
                <tr class="mySearchTr">
                    <th>Sr. No.</th>
                    <th>Name</th>
                    <th>Group</th>
                    <th>Initial</th>
                    <th>Address</th>
                </tr>
                <?php
                $ctr = 1;
                while ($pmain = mysqli_fetch_array($getpmain)) {
                    $gethead = mysqli_query($conn, "SELECT * FROM `grphead` WHERE code='$pmain[headcode]'") or die(mysqli_error($conn));
                    $head = mysqli_fetch_array($gethead);
                    $address = $pmain['add_info'];
                    $newadd = [
                        "Y" => "YES",
                        "N" => "NO"
                    ];
                    $add = $newadd[$address];
                    
                    echo "<tr>";
                    echo "<td>$ctr</td>";
                    echo "<td>$pmain[name]</td>";
                    echo "<td>$head[name]</td>";
                    echo "<td>$pmain[initial]</td>";
                    echo "<td>$add</td>";
                    echo "</tr>";
                    $ctr++;
                }
                ?>
            </table>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?
}
if (isset($_POST["excel"])) {
    $name = $_POST['name'];

    $namecond = "";
    $initcond = "";

    if (!empty($name)) {
        $namecond = " AND `grpcode`='$name' ";
    }
    if (!empty($init)) {
        $initcond = " AND `initial`='$init' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`!='' $namecond $initcond") or die(mysqli_error($conn));

    $contents .= "Sr. No.,Name,Group,Initial,Address\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $gethead = mysqli_query($conn, "SELECT * FROM `grphead` WHERE code='$pmain[headcode]'") or die(mysqli_error($conn));
        $head = mysqli_fetch_array($gethead);

        $ctr++;
        $pname = $pmain['name'];
        $pgrpname = $head['name'];
        $pinitial = $pmain['initial'];
        $address = $pmain['add_info'];
        $newadd = [
            "Y" => "YES",
            "N" => "NO"
        ];
        $add = $newadd[$address];

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $pgrpname . ",";
        $contents .= $pinitial . ",";
        $contents .= $add . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>